### Constructor

# Shumate FileCache new_full

#### Declaration [src]

    ShumateFileCache*
    shumate_file_cache_new_full (
      guint size_limit,
      const char* cache_key,
      const char* cache_dir
    )

#### Description [src]

Constructor of `ShumateFileCache`.

#### Parameters

`size_limit` | `guint`
| Maximum size of the cache in bytes.
`cache_key` | `const char*`
| An ID for the tileset to store/retrieve.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cache_dir` | `const char*`
| The directory where the cache is created. When cache_dir == NULL, a cache in ~/.cache/shumate is used.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `ShumateFileCache`
| A constructed `ShumateFileCache`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.